Loading...
Searching...
No Matches
itkOpenCLStringUtils.h File Reference
`#include "itkOpenCL.h"`
`#include <list>`
`#include <string>`
Include dependency graph for itkOpenCLStringUtils.h:

Go to the source code of this file.

## Namespaces

namespace | itk

## Functions

bool | itk::opencl_get_device_info_bool (const cl_device_id id, const cl_device_info name)
int | itk::opencl_get_device_info_int (const cl_device_id id, const cl_device_info name)
bool | itk::opencl_get_device_info_is_string (const cl_device_id id, const cl_device_info name, const char *str)
std::vcl_size_t | itk::opencl_get_device_info_size (const cl_device_id id, const cl_device_info name)
std::string | itk::opencl_get_device_info_string (const cl_device_id id, const cl_device_info name)
unsigned int | itk::opencl_get_device_info_uint (const cl_device_id id, const cl_device_info name)
unsigned long | itk::opencl_get_device_info_ulong (const cl_device_id id, const cl_device_info name)
std::string | itk::opencl_get_platform_info_string (const cl_platform_id id, const cl_platform_info name)
bool | itk::opencl_has_extension (const std::string &list, const std::string &name)
bool | itk::opencl_is_platform (cl_platform_id id, cl_platform_info name, const char *str)
std::string | itk::opencl_simplified (const std::string &str)
std::list< std::string > | itk::opencl_split_string (const std::string &str, const char separator)
int | itk::opencl_version_flags (const std::string &version)

Generated on 1768596610 for elastix by 1.15.0 |